API ReferenceapiclinicalPOST /v1/recommendations/generate

POST /v1/recommendations/generate

Service: clinical · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string",
      "minLength": 1
    },
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "protocol_ids": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "medications": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "patient_id",
    "brand_id"
  ]
}

Responses

200 Generated recommendations

{
  "type": "object",
  "properties": {
    "recommendations": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "category": {
            "type": "string",
            "enum": [
              "lifestyle",
              "dietary",
              "supplementation",
              "monitoring",
              "referral",
              "medication_review"
            ]
          },
          "priority": {
            "type": "string",
            "enum": [
              "critical",
              "high",
              "medium",
              "low"
            ]
          },
          "title": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "rationale": {
            "type": "string"
          },
          "source": {
            "type": "string",
            "enum": [
              "biomarker",
              "protocol",
              "contraindication"
            ]
          },
          "source_id": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "category",
          "priority",
          "title",
          "description",
          "rationale",
          "source",
          "source_id"
        ]
      }
    },
    "count": {
      "type": "number"
    }
  },
  "required": [
    "recommendations",
    "count"
  ]
}

412 Precondition failed (no biomarkers for patient)

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://clinical.platform.loop.health/v1/recommendations/generate \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'